## konqueror 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
include(CMakeDependentOption)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Konqueror VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.4.0")
set(KF5_MIN_VERSION "5.240.0")


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)


set(KF_MAJOR_VERSION "6")
include(KDECompilerSettings NO_POLICY_SCOPE)
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(FeatureSummary)

set(KONQUEROR_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KONQUEROR_VERSION "${KONQUEROR_LIB_VERSION}")

find_package(Qt${KF_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets WebEngineWidgets)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Parts KCMUtils Archive Crash WindowSystem IconThemes DBusAddons GuiAddons I18n Sonnet TextWidgets Codecs)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} COMPONENTS DocTools) # Optional
find_package(PlasmaActivities ${KF_MIN_VERSION}) # Optional
set(KActivities_FOUND ${PlasmaActivities_FOUND})

add_definitions(
    -DQT_USE_QSTRINGBUILDER
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include (CheckSymbolExists)
check_symbol_exists(mallinfo        "malloc.h"                 KDE_MALLINFO_MALLOC)
check_symbol_exists(mallinfo        "stdlib.h"                 KDE_MALLINFO_STDLIB)
# TODO KDE_MALLINFO_FIELD_hblkhd
# TODO KDE_MALLINFO_FIELD_uordblks
# TODO KDE_MALLINFO_FIELD_usmblks


configure_file (config-konqueror.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konqueror.h )

configure_file (konqueror-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/konqueror-version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( libkonq )
add_subdirectory(libkonqsettings)
add_subdirectory( src )
add_subdirectory( client )
if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()
add_subdirectory( webenginepart )

add_subdirectory( pics )
add_subdirectory( sidebar )
add_subdirectory( settings )
add_subdirectory( plugins )
add_subdirectory( kioworkers )

if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    add_subdirectory( doc )
endif()

set(DEVELOPER_MODE false CACHE BOOL "Enables developer mode, which allows running separate instances of Konqueror")

########### install files ###############
install( PROGRAMS
   kfmclient.desktop kfmclient_html.desktop kfmclient_war.desktop kfmclient_dir.desktop
   konqbrowser.desktop
   DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.konqueror.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
#TODO KF6: check whether the above comment is still relevant (remove Konqueror from the K menu and check
#whether kfmclient works correctly. If it doesn't, find out how to make it work in KF6
# if (KF_MAJOR_VERSION STRLESS "6")
#     install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
# endif()

# On Wayland the icon to use for the main window is read from the desktop file, which needs
# to be in the applications directory, so it needs to be installed there, too (bug #452149)
install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

install(FILES konqy_preload.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

install(FILES konqueror.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)
if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== client/CMakeLists.txt ===
########### kfmclient ###############
include(ECMMarkNonGuiExecutable)

set(kfmclient_SRCS
   kfmclient.cpp
   konqclientrequest.cpp
)

ecm_qt_declare_logging_category(kfmclient_SRCS HEADER kfmclient_debug.h IDENTIFIER KFMCLIENT_LOG CATEGORY_NAME org.kde.kfmclient)

qt_add_dbus_interface( kfmclient_SRCS ../src/org.kde.Konqueror.Main.xml konq_main_interface )
qt_add_dbus_interface( kfmclient_SRCS ../src/org.kde.Konqueror.MainWindow.xml konq_mainwindow_interface )

add_definitions(-DQT_NO_CAST_ASCII)

set(kfmclient_LIBS
   KF${KF_MAJOR_VERSION}::CoreAddons
   KF${KF_MAJOR_VERSION}::KIOCore
   KF${KF_MAJOR_VERSION}::KIOWidgets
   KF${KF_MAJOR_VERSION}::I18n
   KF${KF_MAJOR_VERSION}::WindowSystem
   Qt${KF_MAJOR_VERSION}::DBus
)

if (WIN32)
    add_definitions(-Dkdemain=main)
    add_executable(kfmclient ${kfmclient_SRCS})
    target_link_libraries(kfmclient ${kfmclient_LIBS})
else ()
    list(APPEND kfmclient_LIBS Qt${KF_MAJOR_VERSION}::GuiPrivate)
    add_executable(kfmclient ${kfmclient_SRCS})
    target_link_libraries(kfmclient ${kfmclient_LIBS})
endif ()

install(TARGETS kfmclient ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== sidebar/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"konqsidebar\")

include_directories (${CMAKE_CURRENT_SOURCE_DIR})
find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS JobWidgets IconThemes)

#Used in subdirectories to install the plugins in the correct place
#NOTE: it must be set before calling add_subdirectory
set(KONQ_SIDEBAR_PLUGIN_DIR "${KDE_INSTALL_PLUGINDIR}/konqueror/sidebar")

#TODO KF6: check what to do with this: either port it to Qt6 or remove it
if (${QT_QT3SUPPORT_FOUND})
add_subdirectory( trees )
endif()

add_subdirectory( bookmarks_module )
add_subdirectory( tree_module )
#TODO KF6: check what to do with this: either port it to WebEnginePart or remove it
# add_subdirectory( web_module ) # requires refactoring away from KHtml
add_subdirectory( history_module )
add_subdirectory( places_module )
add_subdirectory( default_entries )
if(BUILD_TESTING)
    add_subdirectory( test )
endif()

ecm_qt_declare_logging_category(sidebar_DEBUG_SRCS HEADER sidebar_debug.h IDENTIFIER SIDEBAR_LOG CATEGORY_NAME org.kde.konqueror.sidebar)

########### konqsidebarplugin lib: contains the base class for plugins ###############

set(konqsidebarplugin_LIB_SRCS konqsidebarplugin.cpp )

add_library(konqsidebarplugin SHARED ${konqsidebarplugin_LIB_SRCS} ${sidebar_DEBUG_SRCS})

target_link_libraries(konqsidebarplugin KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}::KIOFileWidgets KF${KF_MAJOR_VERSION}Konq)
set_target_properties(konqsidebarplugin PROPERTIES VERSION ${KONQUEROR_LIB_VERSION} SOVERSION "${KF_MAJOR_VERSION}" )
install(TARGETS konqsidebarplugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### konq_sidebar plugin: contains the KParts used by konqueror ###############

set(konq_sidebar_VERSION 0.2)

configure_file(konq_sidebartng.json.in ${CMAKE_CURRENT_BINARY_DIR}/konq_sidebartng.json)

set(konq_sidebar_PART_SRCS 
 sidebar_part.cpp
 sidebar_widget.cpp
 module_manager.cpp
 konqmultitabbar.cpp
)

add_library(konq_sidebar MODULE ${konq_sidebar_PART_SRCS} ${sidebar_DEBUG_SRCS})

target_link_libraries(konq_sidebar
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Parts
    KF${KF_MAJOR_VERSION}::Konq
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::IconThemes
    KF${KF_MAJOR_VERSION}::KIOFileWidgets
    KF${KF_MAJOR_VERSION}::IconWidgets
    konqsidebarplugin)

install(TARGETS konq_sidebar DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${KF_MAJOR_VERSION}/parts)

########### install files ###############

install( FILES konqsidebartngrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES konqsidebarplugin.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel )

=== libkonq/autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${KF_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)


set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


########### konqpopupmenutest ###############

ecm_add_tests(
   konqpopupmenutest.cpp
   LINK_LIBRARIES KF${KF_MAJOR_VERSION}::Konq Qt${KF_MAJOR_VERSION}::Test
)

ecm_add_tests(
   allowedurlactionstest.cpp
   LINK_LIBRARIES KF${KF_MAJOR_VERSION}::Konq Qt${KF_MAJOR_VERSION}::Test
)
############################################

=== libkonq/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkonq\")

########### libkonq ###############

set(konq_LIB_SRCS
   konq_popupmenu.cpp       # now only used by konqueror, could move there
   konq_events.cpp
   konq_historyentry.cpp
   konq_historyloader.cpp
   konq_historyprovider.cpp   # konqueror and konqueror/sidebar
   konq_spellcheckingconfigurationdispatcher.cpp #konqueror and webenginepart
   konq_kpart_plugin.cpp
   interfaces/selectorinterface.cpp
   historyprovider.cpp
   htmlextension.cpp
   htmlsettingsinterface.cpp
   textextension.cpp
   interfaces/browser.cpp
   interfaces/cookiejar.cpp
   interfaces/common.h
   interfaces/downloadjob.cpp
   libkonq_utils.cpp
   browserarguments.cpp
   browserextension.cpp
   windowargs.cpp
   browserinterface.cpp
   konq_urlactions.cpp
)

ecm_qt_declare_logging_category(konq_LIB_SRCS HEADER libkonq_debug.h IDENTIFIER LIBKONQ_LOG CATEGORY_NAME org.kde.libkonq)

add_library(KF${KF_MAJOR_VERSION}Konq ${konq_LIB_SRCS})

generate_export_header(KF${KF_MAJOR_VERSION}Konq BASE_NAME libkonq EXPORT_FILE_NAME libkonq_export.h)

add_library(KF${KF_MAJOR_VERSION}::Konq ALIAS KF${KF_MAJOR_VERSION}Konq)

target_link_libraries(KF${KF_MAJOR_VERSION}Konq
    PUBLIC
    KF${KF_MAJOR_VERSION}::XmlGui
    KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::KIOFileWidgets
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::Service
    KF${KF_MAJOR_VERSION}::Parts
    Qt${KF_MAJOR_VERSION}::WebEngineWidgets
    KF${KF_MAJOR_VERSION}::TextWidgets
    KF${KF_MAJOR_VERSION}::KonqSettings
    PRIVATE
    KF${KF_MAJOR_VERSION}::Bookmarks
    KF${KF_MAJOR_VERSION}::I18n
    ${ZLIB_LIBRARY}
)

target_link_libraries(KF${KF_MAJOR_VERSION}Konq PRIVATE KF${KF_MAJOR_VERSION}::BookmarksWidgets)

# For crc32 in konq_historyloader.cpp
target_include_directories(KF${KF_MAJOR_VERSION}Konq PRIVATE ${ZLIB_INCLUDE_DIR})


set_target_properties(KF${KF_MAJOR_VERSION}Konq PROPERTIES
    VERSION ${KONQ_VERSION}
    SOVERSION ${KONQ_SOVERSION}
    EXPORT_NAME Konq
)

install(TARGETS KF${KF_MAJOR_VERSION}Konq EXPORT KF${KF_MAJOR_VERSION}KonqTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES directory_bookmarkbar.desktop DESTINATION ${KDE_INSTALL_DATADIR_KF}/kbookmark)
install(FILES
    konq_events.h
    konq_historyentry.h
    konq_historyprovider.h
    konq_popupmenu.h
    konq_kpart_plugin.h
    ${LibKonq_BINARY_DIR}/src/libkonq_export.h
    interfaces/selectorinterface.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}
    COMPONENT Devel
)

=== plugins/khtmlsettingsplugin/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmlsettingsplugin\")

set(khtmlsetting_VERSION 3.3)

configure_file(khtmlsettingsplugin.json.in ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.json)

set(khtmlsettingsplugin_PART_SRCS settingsplugin.cpp )

add_library(khtmlsettingsplugin MODULE ${khtmlsettingsplugin_PART_SRCS})


target_link_libraries(khtmlsettingsplugin KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}Konq)

konqueror_install_plugin_in_namespaces(khtmlsettingsplugin)

=== sidebar/places_module/CMakeLists.txt ===
########### konqsidebar_places module ###############

set(konqsidebar_places_SRCS
  places_module.cpp
)

add_library(konqsidebar_places MODULE ${konqsidebar_places_SRCS})

target_link_libraries(konqsidebar_places KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Parts konqsidebarplugin)

install(TARGETS konqsidebar_places DESTINATION ${KONQ_SIDEBAR_PLUGIN_DIR})

=== sidebar/test/CMakeLists.txt ===
########### A test module (not installed by default) ###############
# TODO use it (uninstalled) from the unit test

find_package(Qt${KF_MAJOR_VERSION} REQUIRED COMPONENTS Test)
include(ECMAddTests)

set(konq_sidebartest_PART_SRCS konqsidebartest.cpp )
add_library(konq_sidebartest MODULE ${konq_sidebartest_PART_SRCS})
target_link_libraries(konq_sidebartest KF${KF_MAJOR_VERSION}::Parts konqsidebarplugin )
#install(TARGETS konq_sidebartest  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
#install( FILES test.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqsidebartng/entries )

########### Unit tests ###############

ecm_add_test(
        modulemanagertest.cpp
        ../module_manager.cpp
        ../sidebar_debug.cpp
    LINK_LIBRARIES
        KF${KF_MAJOR_VERSION}::ConfigCore
        KF${KF_MAJOR_VERSION}::Service
        KF${KF_MAJOR_VERSION}::KIOCore
        Qt${KF_MAJOR_VERSION}::Core
        Qt${KF_MAJOR_VERSION}::Test
    TEST_NAME sidebar-modulemanagertest
)
target_include_directories(sidebar-modulemanagertest PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)

=== sidebar/tree_module/CMakeLists.txt ===
########### konqsidebar_tree module ###############

set(konqsidebar_tree_SRCS
  tree_module.cpp
)

add_library(konqsidebar_tree MODULE ${konqsidebar_tree_SRCS})

target_link_libraries(konqsidebar_tree KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Konq konqsidebarplugin )

install(TARGETS konqsidebar_tree DESTINATION ${KDE_INSTALL_PLUGINDIR}/konqueror/sidebar)

########### install files ###############

# install(FILES konqsidebar_tree.desktop DESTINATION ${KDE_INSTALL_DATADIR}/konqsidebartng/plugins)

=== doc/kcontrol/bookmarks/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol${KF_MAJOR_VERSION}/bookmarks)

=== debian/changelog ===
konqueror (4:24.12.3-0ubuntu4) plucky; urgency=medium

  * No changes rebuild for Qt 6.8.3

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Apr 2025 21:38:16 +0100

konqueror (4:24.12.3-0ubuntu3) plucky; urgency=medium

  * Update apparmor to Qt6. 

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 30 Mar 2025 05:30:52 -0700

konqueror (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Install konqsidebar translations.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 09:42:08 +0000

konqueror (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:45:57 +0000

konqueror (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:07:10 +0000

konqueror (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:05:20 -0600

## konqueror 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 include(CMakeDependentOption)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(Konqueror VERSION ${RELEASE_SERVICE_VERSION})

=== pics/indicators/CMakeLists.txt ===

install( FILES indicator_connect.png  	indicator_noconnect.png indicator_empty.png indicator_viewactive.png  DESTINATION  ${KDE_INSTALL_DATADIR}/konqueror/pics )

=== plugins/searchbar/CMakeLists.txt ===
project (searchbar)
add_definitions(-DTRANSLATION_DOMAIN=\"searchbarplugin\")

add_subdirectory( icons )

########### next target ###############

set(searchbarplugin_PART_SRCS
    searchbar.cpp
    SuggestionEngine.cpp
    WebShortcutWidget.cpp)
ecm_qt_declare_logging_category(searchbarplugin_PART_SRCS HEADER searchbar_debug.h IDENTIFIER SEARCHBAR_LOG CATEGORY_NAME org.kde.konqueror.searchbar)

add_library(searchbarplugin MODULE ${searchbarplugin_PART_SRCS})

target_link_libraries(searchbarplugin KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextWidgets KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}::Konq)

install(TARGETS searchbarplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/konqueror/kpartplugins)
install(FILES searchbarplugin.rc DESTINATION ${KDE_INSTALL_DATADIR}/konqueror/partsrcfiles)

=== sidebar/vertical_tabbar/CMakeLists.txt ===
########### konqsidebar_verticaltabbar module ###############

set(konqsidebar_verticaltabbar_SRCS
  vertical_tabbar.cpp
  verticaltabbarmodel.cpp
)

add_library(konqsidebar_verticaltabbar MODULE ${konqsidebar_verticaltabbar_SRCS})

generate_export_header(konqsidebar_verticaltabbar BASE_NAME vertical_tabbar EXPORT_FILE_NAME vertical_tabbar_export.h)
message(${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(konqsidebar_verticaltabbar PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(konqsidebar_verticaltabbar KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}::Konq konqsidebarplugin )

install(TARGETS konqsidebar_verticaltabbar DESTINATION ${KONQ_SIDEBAR_PLUGIN_DIR})

=== webenginepart/src/CMakeLists.txt ===
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Wallet)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Notifications )
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Sonnet)

find_package(Hunspell)

add_definitions(-DTRANSLATION_DOMAIN=\"webenginepart\")

if(BUILD_TESTING)
  add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(kwebenginepartlib_LIB_SRCS
    webenginepart.cpp
    webenginepart_ext.cpp
    webengineview.cpp
    webenginepage.cpp
    websslinfo.cpp
    webenginepartdownloadmanager.cpp
    wallet/webenginewallet.cpp
    wallet/walletkeymigrator.cpp
    settings/webenginesettings.cpp
    settings/webengine_filter.cpp
    ui/searchbar.cpp
    ui/passwordbar.cpp
    ui/featurepermissionbar.cpp
    about/konq_aboutpage.cpp
    webenginecustomizecacheablefieldsdlg.cpp
    webfieldsdataview.cpp
    ui/credentialsdetailswidget.cpp
    webengineurlrequestinterceptor.cpp
    spellcheckermanager.cpp
    webenginepartcontrols.cpp
    webenginepartcertificateerrordlg.cpp
    certificateerrordialogmanager.cpp
    navigationrecorder.cpp
    choosepagesaveformatdlg.cpp
    schemehandlers/execschemehandler.cpp
    schemehandlers/errorschemehandler.cpp
    schemehandlers/kiohandler.cpp
    actondownloadedfilebar.cpp
    cookies/webenginepartcookiejar.cpp
    cookies/cookiealertdlg.cpp
    profile.cpp
    capturesourcechooserdlg.cpp
    )

ki18n_wrap_ui(kwebenginepartlib_LIB_SRCS
  webenginecustomizecacheablefieldsdlg.ui
  ui/credentialsdetailswidget.ui
  webenginepartcertificateerrordlg.ui
  choosepagesaveformatdlg.ui
  cookies/cookiealertdlg.ui
  capturesourcechooserdlg.ui
  )

qt_add_resources(kwebenginepartlib_LIB_SRCS webenginepart.qrc)

qt_wrap_ui(kwebenginepartlib_LIB_SRCS
                  ui/searchbar.ui
)
ecm_qt_declare_logging_category(kwebenginepartlib_LIB_SRCS
    HEADER webenginepart_debug.h
    IDENTIFIER WEBENGINEPART_LOG
    CATEGORY_NAME org.kde.webenginepart
)
add_library(kwebenginepartlib ${kwebenginepartlib_LIB_SRCS})

generate_export_header(kwebenginepartlib)

#QWebEnginePage::desktopMediaRequested and QWebEngineDesktopMediaRequest only exist
#starting from Qt 6.7
if (Qt6WebEngineCore_VERSION VERSION_GREATER_EQUAL "6.7.0")
  target_compile_definitions(kwebenginepartlib PRIVATE MEDIAREQUEST_SUPPORTED)
endif()

target_link_libraries(kwebenginepartlib
    PUBLIC
        Qt${KF_MAJOR_VERSION}::Core
        Qt${KF_MAJOR_VERSION}::DBus
        Qt${KF_MAJOR_VERSION}::Gui
        Qt${KF_MAJOR_VERSION}::Widgets
        Qt${KF_MAJOR_VERSION}::WebEngineWidgets
        KF${KF_MAJOR_VERSION}::Parts
        KF${KF_MAJOR_VERSION}::Wallet
        KF${KF_MAJOR_VERSION}::Notifications
        KF${KF_MAJOR_VERSION}::KIOWidgets
        KF${KF_MAJOR_VERSION}::TextWidgets
        KF${KF_MAJOR_VERSION}::Konq
        KF${KF_MAJOR_VERSION}::KonqSettings
    PRIVATE
        KF${KF_MAJOR_VERSION}::I18n
        Qt${KF_MAJOR_VERSION}::PrintSupport
        KF${KF_MAJOR_VERSION}::SonnetCore
        KF${KF_MAJOR_VERSION}::IconThemes #for KIconLoader used by WebEnginePartErrorSchemeHandler
        KF${KF_MAJOR_VERSION}::WindowSystem  # for KUserTimestamp
        KF${KF_MAJOR_VERSION}::SonnetUi
)

target_include_directories(kwebenginepartlib PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>"
)
set_target_properties(kwebenginepartlib PROPERTIES OUTPUT_NAME kwebenginepart)

install(TARGETS kwebenginepartlib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


add_library(webenginepart MODULE webenginepartfactory.cpp)

target_link_libraries(webenginepart kwebenginepartlib)

install(TARGETS webenginepart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${KF_MAJOR_VERSION}/parts)

install(FILES error.html DESTINATION ${KDE_INSTALL_DATADIR}/webenginepart)

install(FILES settings/kconf_update/webenginepart.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

set(USE_SYSTEM_DICTIONARIES 0 CACHE BOOL "Don't build QtWebEngine dictionaries but use the system ones")
if((NOT USE_SYSTEM_DICTIONARIES) AND Hunspell_FOUND)
  set(WEBENGINEPART_OWN_DICTIONARY_DIR ${CMAKE_INSTALL_PREFIX}/share/konqueror/webengine_dictionaries CACHE PATH "The directory where dictionary files built for WebEnginePart will be installed")
  add_compile_definitions(WEBENGINEPART_OWN_DICTIONARY_DIR="${WEBENGINEPART_OWN_DICTIONARY_DIR}")
  
  set(konqueror_internal_lib_target konqueror_internal_lib)
  target_compile_definitions(${konqueror_internal_lib_target} PUBLIC WEBENGINEPART_OWN_DICTIONARY_DIR="${WEBENGINEPART_OWN_DICTIONARY_DIR}")

  find_package(WebEngineDictConverter)
  #COMPILE HUNSPELL DICTIONARIES AS BDIC FILES
  #Qt6 provides a command which automatically builds dictionaries (qt_add_webengine_dictionary, see https://doc.qt.io/qt-6/qt-add-webengine-dictionary.html),
  #but I can't find out how to install the dictionaries. For the time being, continue relying on custom code
  #TODO KF6: see how to install dictionaries created using qt_add_webengine_dictionary and use it
  if (WebEngineDictConverter_FOUND)
    #Iterate on all dictionaries
    foreach(D ${Hunspell_UNIQUE_DICTIONARIES})
      get_filename_component(base_name ${D} NAME)
      #Full name of the file to create
      set(BDIC_name ${CMAKE_CURRENT_BINARY_DIR}/${base_name}.bdic)
      #Name of the target to create
      set(BDIC_target_name ${base_name}.bdic_target)
      #Check that both .dic and .aff files exist for the given dictionary, otherwise the conversion tool will fail
      if (EXISTS ${D}.dic AND EXISTS ${D}.aff)
        add_custom_command(
          OUTPUT ${BDIC_name}
          COMMAND ${WebEngineDictConverter_EXECUTABLE} ${D} ${BDIC_name}
        )
        #Install the bdic file
        install(FILES ${BDIC_name} DESTINATION ${WEBENGINEPART_OWN_DICTIONARY_DIR})
        #Create a new target which depends on the file
        add_custom_target(${BDIC_target_name} DEPENDS ${BDIC_name})
        #Add the new target as dependency to kwebenginepartlib, otherwise the dictionaries won't be built
        add_dependencies(kwebenginepartlib ${BDIC_target_name})
      endif()
    endforeach()
  endif()
endif()


add_subdirectory(about)

=== debian/changelog ===
konqueror (4:25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commit: Disable functionality related to running
    activities when compiling with Plasma 6.5. [a33e34c7]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Oct 2025 18:29:05 +0200

konqueror (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update the list of installed files.
  * Switch to KF6 debhelper build sequence.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.2, no change required.
  * Fix lists in package descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

execute_after_dh_auto_install:
	# do not ship the development files for konqsidebarplugin, for now
	rm -f debian/tmp/usr/include/KF6/konqsidebarplugin.h
	rm -f debian/tmp/usr/lib/*/libkonqsidebarplugin.so

## konqueror 25.07.80

=== debian/changelog ===
konqueror (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:18:03 +0100

konqueror (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:49:09 +0100

konqueror (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:52:39 +0100

konqueror (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:11:45 +0100

konqueror (4:25.04.0-0ubuntu2) questing; urgency=medium

  * Update install files for new plugins.

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 19:45:40 +0100

konqueror (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:55:19 +0100

## konqueror 25.07.90

=== debian/changelog ===
konqueror (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:53:02 +0100

## konqueror 25.08.0

=== debian/changelog ===
konqueror (4:25.08.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 23:47:05 +0000

konqueror (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:06:56 +0000

konqueror (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:37:53 +0000

konqueror (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:37:37 +0000

konqueror (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:26:47 +0000

konqueror (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:37:15 +0000

konqueror (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:00:07 +0000

konqueror (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:41:52 +0000

konqueror (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:33:06 +0000

konqueror (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:29:00 +0000

konqueror (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:38:15 +0000

konqueror (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:16:10 +0000

konqueror (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:46:17 +0000

konqueror (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:45:05 +0000

konqueror (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:22:30 +0000

konqueror (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:40:49 +0000

konqueror (4:24.02.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:32:38 +0000

konqueror (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:23:22 +0000

konqueror (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:03:20 +0000

konqueror (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:09:54 +0000

konqueror (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:37:22 +0000

konqueror (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:24:59 +0000

konqueror (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:08:28 +0000

konqueror (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:40:55 +0000

konqueror (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:30:46 +0000

konqueror (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:07:09 +0000

konqueror (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:41:44 +0000

konqueror (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:49:07 +0000

konqueror (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:10:05 +0000

konqueror (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:06:50 +0000

konqueror (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:12:16 +0000

konqueror (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:56:57 +0000

konqueror (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:20:42 +0000

konqueror (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:18:32 +0000

konqueror (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:27:38 +0000

konqueror (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:05 +0000

konqueror (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:01 +0000

konqueror (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:13:25 +0000

konqueror (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:39:47 +0000

konqueror (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:46 +0000

konqueror (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:14 +0000

konqueror (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:57:43 +0000

konqueror (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:06 +0000

konqueror (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:57:52 +0000

konqueror (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:25 +0000

konqueror (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:14 +0000



## konqueror 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(Konqueror VERSION ${RELEASE_SERVICE_VERSION})
@@ -39,6 +39,9 @@
 set(KONQUEROR_VERSION "${KONQUEROR_LIB_VERSION}")
 
 find_package(Qt${KF_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets WebEngineWidgets)
+if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
+    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
+endif()
 find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Parts KCMUtils Archive Crash WindowSystem IconThemes DBusAddons GuiAddons I18n Sonnet TextWidgets Codecs)
 
 find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} COMPONENTS DocTools) # Optional

=== autotests/CMakeLists.txt ===
if (NOT WIN32)
find_package(Qt${KF_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)

add_compile_definitions(BUILD_TESTING)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/..  )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/downloadactionquestiontest/  )

########### konqviewmgrtest ###############

ecm_add_test(konqviewmgrtest.cpp TEST_NAME konqviewmgrtest
    LINK_LIBRARIES konqueror_internal_lib Qt${KF_MAJOR_VERSION}::Core Qt${KF_MAJOR_VERSION}::Gui kwebenginepartlib Qt${KF_MAJOR_VERSION}::WebEngineWidgets Qt${KF_MAJOR_VERSION}::Test)
qt_add_resources(konqviewmgrtest "viewmgrtest.qrc" PREFIX "/kxmlgui5/konqviewmgrtest/" BASE ../src/ FILES ../src/konqueror.rc )

########### historymanagertest ###############

ecm_add_test(historymanagertest.cpp
    LINK_LIBRARIES KF${KF_MAJOR_VERSION}::Konq konquerorprivate Qt${KF_MAJOR_VERSION}::Core Qt${KF_MAJOR_VERSION}::Test)

########### undomanagertest ###############

ecm_add_test(undomanagertest.cpp
    LINK_LIBRARIES konqueror_internal_lib Qt${KF_MAJOR_VERSION}::Core Qt${KF_MAJOR_VERSION}::Test)

########### konqhtmltest ###############

set (konqhtmltest_SRCS konqhtmltest/konqhtmltest.cpp)
qt_add_resources(konqhtmltest_SRCS konqhtmltest/konqhtmltest.qrc)
ecm_add_test(${konqhtmltest_SRCS} TEST_NAME konqhtmltest
    LINK_LIBRARIES konqueror_internal_lib kwebenginepartlib Qt${KF_MAJOR_VERSION}::Core Qt${KF_MAJOR_VERSION}::Test)

########### konqviewtest ###############

ecm_add_test(konqviewtest.cpp
    LINK_LIBRARIES konqueror_internal_lib Qt${KF_MAJOR_VERSION}::Core Qt${KF_MAJOR_VERSION}::Test)

########### downloadactionquestiontest ###############

ecm_add_test(downloadactionquestiontest/downloadactionquestiontest.cpp downloadactionquestiontest/downloadactionquestiontestjsonloader.cpp ../src/downloadactionquestion.cpp
    TEST_NAME downloadactionquestiontest
    LINK_LIBRARIES konqueror_internal_lib Qt${KF_MAJOR_VERSION}::Core Qt${KF_MAJOR_VERSION}::Test KF${KF_MAJOR_VERSION}::Service)
    add_compile_definitions(BUILD_DOWNLOAD_ACTION_QUESTION_TESTS TRANSLATION_DOMAIN=\"konqueror\")
qt_add_resources(downloadactionquestiontest PREFIX "/" FILES ./downloadactionquestiontest/downloadactionquestion_testdata.json BASE ./downloadactionquestiontest)

endif (NOT WIN32)

=== libkonq/src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
    htmlsettingsinterface.cpp
    textextension.cpp
    interfaces/browser.cpp
+   interfaces/window.cpp
    interfaces/cookiejar.cpp
    interfaces/common.h
    interfaces/downloadjob.cpp

=== plugins/temporarysavedir/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"temporarysavedir\")

set(temporarysavedir_PART_SRCS temporarysavedir.cpp )

add_library(temporarysavedir MODULE ${temporarysavedir_PART_SRCS})

target_link_libraries(temporarysavedir KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}::Konq)

konqueror_install_plugin_in_namespaces(temporarysavedir)

=== plugins/ttsplugin/CMakeLists.txt ===
########### khtmlttsplugin ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmltts\")
set(khtmlttsplugin_PART_SRCS khtmltts.cpp )

add_library(khtmlttsplugin MODULE ${khtmlttsplugin_PART_SRCS})

target_link_libraries(khtmlttsplugin KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Parts Qt${KF_MAJOR_VERSION}::::TextToSpeech KF${KF_MAJOR_VERSION}::Konq)

konqueror_install_plugin_in_namespaces(khtmlttsplugin)

=== doc/kcontrol/khtml-behavior/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol${KF_MAJOR_VERSION}/khtml-behavior)

=== plugins/webarchiver/app/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"webarchiver\")
find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS I18n Crash KIO Archive XmlGui TextWidgets)

########### next target ###############

set(kcreatewebarchive_SRCS main.cpp archivedialog.cpp)
kconfig_add_kcfg_files(kcreatewebarchive_SRCS settings.kcfgc)

add_executable(kcreatewebarchive ${kcreatewebarchive_SRCS} ${webarchiverplugin_DEBUG_SRCS})
target_include_directories(kcreatewebarchive PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)
target_link_libraries(kcreatewebarchive
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::XmlGui
  KF${KF_MAJOR_VERSION}::TextWidgets
  KF${KF_MAJOR_VERSION}::Crash
  KF${KF_MAJOR_VERSION}::KIOCore
  KF${KF_MAJOR_VERSION}::KIOWidgets
  KF${KF_MAJOR_VERSION}::KIOFileWidgets
  KF${KF_MAJOR_VERSION}::Archive
  Qt${KF_MAJOR_VERSION}::Core
  Qt${KF_MAJOR_VERSION}::Widgets)

########### install files ###############

install(TARGETS kcreatewebarchive ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR} RENAME kcreatewebarchive.kcfg)

=== sidebar/trees/init/CMakeLists.txt ===
add_subdirectory( remote )
add_subdirectory( services )

########### install files ###############

install( FILES dirtree_module.desktop bookmarks_module.desktop DESTINATION ${KDE_INSTALL_DATADIR}/konqsidebartng/dirtree )

=== debian/changelog ===
konqueror (4:25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:50:16 +0000

konqueror (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:40:40 +0000

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               dh-exec,
               hunspell,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcmutils-dev,
               kf6-kcrash-dev,
               kf6-kdesu-dev,
               kf6-kdoctools-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               libtidy-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/konqueror.git
Vcs-Browser: https://invent.kde.org/neon/kde/konqueror
Maintainer: Neon CI <neon@kde.org>

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind
Suggests: konq-plugins
Description: File manager, web browser and document viewer
 Konqueror is a KDE web browser and file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6 --buildsystem kf6

## konqueror 25.08.1+p24.04+vstable+git20250928.1344

=== debian/changelog ===
konqueror (4:25.08.1+p24.04+vstable+git20250928.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:45:00 +0000

## konqueror 25.08.1+p24.04+vstable+git20251001.1223

=== debian/changelog ===
konqueror (4:25.08.1+p24.04+vstable+git20251001.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:24:00 +0000
